#pragma once
#include <DFRobotDFPlayerMini.h>
#include "station.h"

class Context {
public:
  Context(Station* stations, int stationCount, unsigned long delta, DFRobotDFPlayerMini* dfPlayer);

  Station* stations;
  int stationCount;
  unsigned long delta;
  DFRobotDFPlayerMini* dfPlayer;

  int getStationIndex(const Station* station) const;
  bool isPlaying() const;
};
